org.apache.ignite.internal.processors.platform.cache.query

## Class PlatformQueryCursor

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.query.PlatformAbstractQueryCursor<javax.cache.Cache.Entry>
    - - org.apache.ignite.internal.processors.platform.cache.query.PlatformQueryCursor

All Implemented Interfaces:
  AutoCloseable, PlatformTarget

    public class PlatformQueryCursor
    extends PlatformAbstractQueryCursor<javax.cache.Cache.Entry>

Interop cursor for regular queries.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformQueryCursor(PlatformContext platformCtx, QueryCursorEx<javax.cache.Cache.Entry> cursor, int batchSize)` Constructor.

### Method Summary

Methods
`protected void` `write(BinaryRawWriterEx writer, javax.cache.Cache.Entry val)` Write value to the stream.

### Methods inherited from class org.apache.ignite.internal.processors.platform.cache.query.PlatformAbstractQueryCursor

`close, iterator, iteratorHasNext, processOutStream`

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFuture, futureWriter, inObjectStreamOutStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureAndGet, listenFutureForOperation, listenFutureForOperationAndGet, outLong, outObject, outStream, platformContext, processInObjectStreamOutStream, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutLong, processOutObject, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformQueryCursor

    public PlatformQueryCursor(PlatformContext platformCtx,
                       QueryCursorEx<javax.cache.Cache.Entry> cursor,
                       int batchSize)

Constructor.

Parameters:
  `platformCtx` - Context.
  `cursor` - Backing cursor.
  `batchSize` - Batch size.

### Method Detail

#### write

    protected void write(BinaryRawWriterEx writer,
             javax.cache.Cache.Entry val)

Write value to the stream. Extension point to perform conversions on the object before writing it.

Specified by:
  `write` in class `PlatformAbstractQueryCursor<javax.cache.Cache.Entry>`
Parameters:
  `writer` - Writer.
  `val` - Value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016